package com.fjhx.oa.service.daily;

import com.fjhx.oa.entity.daily.po.DailyReport;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.daily.vo.DailyReportVo;
import com.fjhx.oa.entity.daily.dto.DailyReportSelectDto;
import com.fjhx.oa.entity.daily.dto.DailyReportDto;

import java.awt.*;
import java.util.List;


/**
 * <p>
 * 日报 服务类
 * </p>
 *
 * @author
 * @since 2023-04-04
 */
public interface DailyReportService extends BaseService<DailyReport> {

    /**
     * 日报分页
     */
    Page<DailyReportVo> getPage(DailyReportSelectDto dto);

    /**
     * 日报明细
     */
    DailyReportVo detail(Long id);

    /**
     * 日报新增
     */
    void add(DailyReportDto dailyReportDto);

    /**
     * 日报编辑
     */
    void edit(DailyReportDto dailyReportDto);

    /**
     * 日报删除
     */
    void delete(Long id);

    DailyReportVo myCount();

    void share(Long id, List<Long> toUserIdList);
}
